 //////////////////////////////////////////////////////////////////
// SEG_Actions.sqf | Sahrani Electrical Grids v1.05
// Created by: Loyalguard
//////////////////////////////////////////////////////////////////

/* SCRIPT NOTES: This script contains the code for all the action menu options to control power at each substations (Power Off, Power On, and Restore) if enabled at initialization. This script should run on all clients and the server to ensure uniformity for all players. */

// the _action variable contains the "type" of action that is made available to the player. It is a parameter passed by one of the various substation triggers as an argument via the addAction command when the respective trigger is activated. _action is then used by the below switch_do block.

_action = _this select 3;

// The _buzzer variable contains a value that determines whether a buzzer should sound when power is turned on and off based on customization options in SEG_Init.sqf.

_buzzer = optionSoundBuzzer;

// This switch-do block determines the type of action to be performed based on the trigger that executed the script.

switch (_action) do
{
	case "ParSubActionPower":
	{
		If (LYGD_ParSubPower) then {LYGD_ParSubPower = false} else {LYGD_ParSubPower = true}; 
		publicVariable "LYGD_ParSubPower";
		If (_buzzer == 1) then {logicParSub say ["buzzer", 5];};
	};
	case "OrtNSubActionPower":
	{
		If (LYGD_OrtNSubPower) then {LYGD_OrtNSubPower = false} else {LYGD_OrtNSubPower = true}; 
		publicVariable "LYGD_OrtNSubPower";
		If (_buzzer == 1) then {logicOrtNSub say ["buzzer", 5];};
	};
	case "OrtSSubActionPower":
	{
		If (LYGD_OrtSSubPower) then {LYGD_OrtSSubPower = false} else {LYGD_OrtSSubPower = true}; 
		publicVariable "LYGD_OrtSSubPower";
		If (_buzzer == 1) then {logicOrtSSub say ["buzzer", 5];};
	};
	case "DolSubActionPower":
	{
		If (LYGD_DolSubPower) then {LYGD_DolSubPower = false} else {LYGD_DolSubPower = true}; 
		publicVariable "LYGD_DolSubPower";
		If (_buzzer == 1) then {logicDolSub say ["buzzer", 5];};
	};
	case "CorWSubActionPower":
	{
		If (LYGD_CorWSubPower) then {LYGD_CorWSubPower = false} else {LYGD_CorWSubPower = true}; 
		publicVariable "LYGD_CorWSubPower";
		If (_buzzer == 1) then {logicCorWSub say ["buzzer", 5];};
	};
	case "CorESubActionPower":
	{
		If (LYGD_CorESubPower) then {LYGD_CorESubPower = false} else {LYGD_CorESubPower = true}; 
		publicVariable "LYGD_CorESubPower";
		If (_buzzer == 1) then {logicCorESub say ["buzzer", 5];};
	};
	case "BagSubActionPower":
	{
		If (LYGD_BagSubPower) then {LYGD_BagSubPower = false} else {LYGD_BagSubPower = true}; 
		publicVariable "LYGD_BagSubPower";
		If (_buzzer == 1) then {logicBagSub say ["buzzer", 5];};
	};
	
};