//////////////////////////////////////////////////////////////////
// SEG_Events.sqf | Sahrani Electrical Grids v1.05
// Created by: Loyalguard
//////////////////////////////////////////////////////////////////

/* SCRIPT NOTES: This script is executed by a trigger whenever the power status of a substation changes (off or on). */

// the variable _event is set by an argument passed by the activating trigger.  The parameter is then stored in _event for use by the swtich-do block.

_event = _this select 0;

// This switch-do block determines the type of power event to be performed based on the trigger that executed the script and the argument passed by it.

switch (_event) do
{
	case "ParSubPowerOnAct":
 	{
		{_x switchLight "off"} foreach (position trigParSubPower nearObjects ["streetlamp",500]); // Paraiso
		sleep .1;
		{_x switchLight "off"} foreach ([9132.364258,8319.965820,163.979996] nearObjects ["streetlamp",300]); // Somato
		sleep .1;
		{_x switchLight "off"} foreach ([8924.248047,7792.979492,177.480316] nearObjects ["streetlamp",200]); // Gulan
		sleep .1;
		{_x switchLight "off"} foreach ([8079.015137,9343.272461,6.300000] nearObjects ["streetlamp",250]); // Balmopan
		sleep .1;
		{_x switchLight "off"} foreach ([6882.653320,8094.477539,22.219198] nearObjects ["streetlamp",300]); // Estrella
 	};
	 case "ParSubPowerOnDea":
 	{
	  	{_x switchLight "auto"} foreach (position trigParSubPower nearObjects ["streetlamp",500]); // Paraiso
		sleep .1;
		{_x switchLight "auto"} foreach ([9132.364258,8319.965820,163.979996] nearObjects ["streetlamp",300]); // Somato
		sleep .1;
		{_x switchLight "auto"} foreach ([8924.248047,7792.979492,177.480316] nearObjects ["streetlamp",200]); // Gulan
		sleep .1;
		{_x switchLight "auto"} foreach ([8079.015137,9343.272461,6.300000] nearObjects ["streetlamp",250]); // Balmopan
		sleep .1;
		{_x switchLight "auto"} foreach ([6882.653320,8094.477539,22.219198] nearObjects ["streetlamp",300]); // Estrella
 	};
 	case "OrtNSubPowerOnAct":
 	{
		{_x switchLight "off"} foreach (position trigOrtNSubPower nearObjects ["streetlamp",350]); // Ortego North
 	};	
 	case "OrtNSubPowerOnDea":
 	{
	  	{_x switchLight "auto"} foreach (position trigOrtNSubPower nearObjects ["streetlamp",350]); // Ortego North
 	};
 	case "OrtSSubPowerOnAct":
 	{
		{_x switchLight "off"} foreach (position trigOrtSSubPower nearObjects ["streetlamp",150]); // Ortego South
 	};	 
 	case "OrtSSubPowerOnDea":
 	{
	  	{_x switchLight "auto"} foreach (position trigOrtSSubPower nearObjects ["streetlamp",150]); // Ortego South
 	};	
 	case "DolSubPowerOnAct":
 	{
		{_x switchLight "off"} foreach (position trigDolSubPower nearObjects ["streetlamp",500]); // Dolores
		sleep .1;
		{_x switchLight "off"} foreach ([10706.378906,4910.959473,9.720560] nearObjects ["streetlamp",350]); // Iguana
		sleep .1;
		{_x switchLight "off"} foreach ([9393.532227,5952.512207,44.842785] nearObjects ["streetlamp",300]); // Cayo
 	};	
 	case "DolSubPowerOnDea":
 	{
	  	{_x switchLight "auto"} foreach (position trigDolSubPower nearObjects ["streetlamp",500]); // Dolores
		sleep .1;
		{_x switchLight "auto"} foreach ([10706.378906,4910.959473,9.720560] nearObjects ["streetlamp",350]); // Iguana
		sleep .1;
		{_x switchLight "auto"} foreach ([9393.532227,5952.512207,44.842785] nearObjects ["streetlamp",300]); // Cayo
 	};
 	case "CorWSubPowerOnAct":
 	{
		{_x switchLight "off"} foreach (position trigCorWSubPower nearObjects ["streetlamp",750]); // Corazol West
 	};	
 	case "CorWSubPowerOnDea":
 	{
	 	 {_x switchLight "auto"} foreach (position trigCorWSubPower nearObjects ["streetlamp",750]); // Corazol West
 	};	
 	case "CorESubPowerOnAct":
 	 {
		{_x switchLight "off"} foreach (position trigCorESubPower nearObjects ["streetlamp",750]); // Corazol East
		sleep .1;
		{_x switchLight "off"} foreach ([14475.468750,8576.005859,30.519976] nearObjects ["streetlamp",250]); // Gaula
		sleep .1;
		{_x switchLight "off"} foreach ([16571.910156,9363.751953,12.285000] nearObjects ["streetlamp",300]); // Everon
		sleep .1;
		{_x switchLight "off"} foreach ([14535.646484,10791.570313,43.965000] nearObjects ["streetlamp",500]); // Obregan
		sleep .1;
		{_x switchLight "off"} foreach ([13215.121094,11346.532227,25.965000] nearObjects ["streetlamp",625]); // Mercalillo
		
 	};		
 	case "CorESubPowerOnDea":
 	{
	 	{_x switchLight "auto"} foreach (position trigCorESubPower nearObjects ["streetlamp",750]); // Corazol East
		sleep .1;
		{_x switchLight "auto"} foreach ([14475.468750,8576.005859,30.519976] nearObjects ["streetlamp",250]); // Gaula
		sleep .1;
		{_x switchLight "auto"} foreach ([16571.910156,9363.751953,12.285000] nearObjects ["streetlamp",300]); // Everon
		sleep .1;
		{_x switchLight "auto"} foreach ([14535.646484,10791.570313,43.965000] nearObjects ["streetlamp",500]); // Obregan
		sleep .1;
		{_x switchLight "auto"} foreach ([13215.121094,11346.532227,25.965000] nearObjects ["streetlamp",625]); // Mercalillo
 	};	
 	case "BagSubPowerOnAct":
  	{
		{_x switchLight "off"} foreach (position trigBagSubPower nearObjects ["streetlamp",700]); // Bagango
		sleep .1;
		{_x switchLight "off"} foreach ([12498.529297,13332.503906,188.881531] nearObjects ["streetlamp",350]); // Carmen
		sleep .1;
		{_x switchLight "off"} foreach ([11770.126953,14409.514648,230.030731] nearObjects ["streetlamp",300]); // Tandag
		sleep .1;
		{_x switchLight "off"} foreach ([12534.698242,15049.255859,180.000000] nearObjects ["streetlamp",700]); // Eponia
		sleep .1;
		{_x switchLight "off"} foreach ([11818.399414,15391.121094,151.786621] nearObjects ["streetlamp",200]); // Pesadas
		sleep .1;
		{_x switchLight "off"} foreach ([9732.605469,14450.968750,50.576427] nearObjects ["streetlamp",250]); // Pacamac
		sleep .1;
		{_x switchLight "off"} foreach ([7726.003418,15745.457031,21.263332] nearObjects ["streetlamp",250]); // Hunapu
		sleep .1;
		{_x switchLight "off"} foreach ([10642.435547,16196.437500,33.386078] nearObjects ["streetlamp",250]); // Mataredo
		sleep .1;
		{_x switchLight "off"} foreach ([11163.892578,16931.406250,6.815391] nearObjects ["streetlamp",250]); // Victoria
		sleep .1;
		{_x switchLight "off"} foreach ([12165.972656,17649.625000,25.965000] nearObjects ["streetlamp",250]); // Santa Lucia
		sleep .1;
		{_x switchLight "off"} foreach ([17279.652344,14214.207031,13.472221] nearObjects ["streetlamp",250]); // Masbete
		sleep .1;
		{_x switchLight "off"} foreach ([18765.585938,13565.860352,60.932941] nearObjects ["streetlamp",535]); // Pita
 	};
 	case "BagSubPowerOnDea":
	{
		{_x switchLight "auto"} foreach (position trigBagSubPower nearObjects ["streetlamp",700]); // Bagango
		sleep .1;
		{_x switchLight "auto"} foreach ([12498.529297,13332.503906,188.881531] nearObjects ["streetlamp",350]); // Carmen
		sleep .1;
		{_x switchLight "auto"} foreach ([11770.126953,14409.514648,230.030731] nearObjects ["streetlamp",300]); // Tandag
		sleep .1;
		{_x switchLight "auto"} foreach ([12534.698242,15049.255859,180.000000] nearObjects ["streetlamp",700]); // Eponia
		sleep .1;
		{_x switchLight "auto"} foreach ([11818.399414,15391.121094,151.786621] nearObjects ["streetlamp",200]); // Pesadas
		sleep .1;
		{_x switchLight "auto"} foreach ([9732.605469,14450.968750,50.576427] nearObjects ["streetlamp",250]); // Pacamac
		sleep .1;
		{_x switchLight "auto"} foreach ([7726.003418,15745.457031,21.263332] nearObjects ["streetlamp",250]); // Hunapu
		sleep .1;
		{_x switchLight "auto"} foreach ([10642.435547,16196.437500,33.386078] nearObjects ["streetlamp",250]); // Mataredo
		sleep .1;
		{_x switchLight "auto"} foreach ([11163.892578,16931.406250,6.815391] nearObjects ["streetlamp",250]); // Victoria
		sleep .1;
		{_x switchLight "auto"} foreach ([12165.972656,17649.625000,25.965000] nearObjects ["streetlamp",250]); // Santa Lucia
		sleep .1;
		{_x switchLight "auto"} foreach ([17279.652344,14214.207031,13.472221] nearObjects ["streetlamp",250]); // Masbete
		sleep .1;
		{_x switchLight "auto"} foreach ([18765.585938,13565.860352,60.932941] nearObjects ["streetlamp",535]); // Pita
	};
};